%define upstream_name    CPS
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Iterate at some later point
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Future)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Refcount)
BuildArch:  noarch

%description
Objects based on this abstract class are used by the 'gk*' variants of the
the CPS manpage functions, to control their behavior. These objects are
expected to provide a method, 'again', which the functions will use to
re-invoke iterations of loops, and so on. By providing a different
implementation of this method, governor objects can provide such behaviours
as rate-limiting, asynchronisation or parallelism, and integration with
event-based IO frameworks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.180.0-5.mga6
+ Revision: 1024500
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.180.0-4.mga6
+ Revision: 947946
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 749728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-2.mga5
+ Revision: 683706
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.180.0-1.mga5
+ Revision: 588230
- update to 0.18

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 509422
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 363715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.170.0-1.mga3
+ Revision: 285139
- update to 0.17

* Wed Jul 04 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 267269
- update to 0.15

* Mon Mar 05 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 218660
- update to 0.14

* Thu Feb 23 2012 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 212713
- update to 0.13

* Wed Jan 04 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 190479
- adding missing buildrequires:
- update to 0.12

* Tue Jan 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 22234
- cleaning spec file
- imported package perl-CPS


* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 626868
- import perl-CPS

